## org.eclipse.uml2.uml
Interface ExpansionNode

All Superinterfaces:
  ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, ObjectNode, RedefinableElement, TypedElement

    public interface ExpansionNode

extends ObjectNode

A representation of the model object 'Expansion Node'. An expansion node is an object node used to indicate a flow across the boundary of an expansion region. A flow into a region contains a collection that is broken into its individual elements inside the region, which is executed once per element. A flow out of a region combines individual elements into a collection for use outside the region.

The following features are supported:

- `Region As Output`
- `Region As Input`

See Also:
  `UMLPackage.getExpansionNode()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ExpansionRegion` `getRegionAsInput()` Returns the value of the 'Region As Input' reference.
`ExpansionRegion` `getRegionAsOutput()` Returns the value of the 'Region As Output' reference.
`void` `setRegionAsInput(ExpansionRegion value)` Sets the value of the '`Region As Input`' reference
`void` `setRegionAsOutput(ExpansionRegion value)` Sets the value of the '`Region As Output`' reference

Methods inherited from interface org.eclipse.uml2.uml.ObjectNode
`createUpperBound, getInState, getInState, getInStates, getOrdering, getSelection, getUpperBound, isControlType, setIsControlType, setOrdering, setSelection, setUpperBound, validateInputOutputParameter, validateNotUnique, validateObjectFlowEdges, validateSelectionBehavior`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Method Detail

### getRegionAsOutput

    ExpansionRegion getRegionAsOutput()

  Returns the value of the 'Region As Output' reference. It is bidirectional and its opposite is '`Output Element`'. The expansion region for which the node is an output.

  Returns:
    the value of the 'Region As Output' reference.
  See Also:
    `setRegionAsOutput(ExpansionRegion)`, `UMLPackage.getExpansionNode_RegionAsOutput()`, `ExpansionRegion.getOutputElements()`

### setRegionAsOutput

    void setRegionAsOutput(ExpansionRegion value)

  Sets the value of the '`Region As Output`' reference.

  Parameters:
    `value` - the new value of the 'Region As Output' reference.
  See Also:
    `getRegionAsOutput()`

### getRegionAsInput

    ExpansionRegion getRegionAsInput()

  Returns the value of the 'Region As Input' reference. It is bidirectional and its opposite is '`Input Element`'. The expansion region for which the node is an input.

  Returns:
    the value of the 'Region As Input' reference.
  See Also:
    `setRegionAsInput(ExpansionRegion)`, `UMLPackage.getExpansionNode_RegionAsInput()`, `ExpansionRegion.getInputElements()`

### setRegionAsInput

    void setRegionAsInput(ExpansionRegion value)

  Sets the value of the '`Region As Input`' reference.

  Parameters:
    `value` - the new value of the 'Region As Input' reference.
  See Also:
    `getRegionAsInput()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.